designI2M {limma} | R Documentation

## Convert Individual Channel Design Matrix to M-A Format

### Description

Convert a design matrix in terms of individual channels to ones in terms of M-values or A-values for two-color microarray data.

### Usage

    designI2M(design)
    designI2A(design)

### Arguments

`design` | numeric model matrix with one row for each channel observation, i.e., twice as many rows as arrays

### Details

If `design` is a model matrix suitable for modelling individual log-intensities for two color microarray data, then `designI2M` computes the corresponding model matrix for modelling M-values (log-ratios) and `designI2A` computes the model matrix for modelling A-values (average log-intensities).

Note that the matrices `designI2M(design)` or `designI2A(design)` may be singular if not all of the coefficients are estimable from the M or A-values. In that case there will be columns containing entirely zeros.

### Value

numeric model matrix with half as many rows as `design`

### Author(s)

Gordon Smyth

### See Also

`model.matrix` in the stats package.

An overview of individual channel linear model functions in limma is given by 07.SingleChannel.

### Examples

    X <- cbind(1,c(1,1,1,1,0,0,0,0),c(0,0,0,0,1,1,1,1))
    designI2M(X)
    designI2A(X)

[Package limma version 2.16.5 Index]